NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Routing::ConnectedCurvesBuilder Class Reference

Builder for creating automatically creating segments on end-to-end connected curves. More...

Inheritance diagram for NXOpen::Routing::ConnectedCurvesBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool AllowArcs ()
 Returns the flag that allows traversal of arcs when finding connected curves. More...
 
bool AllowLines ()
 Returns the flag that allows traversal of lines when finding connected curves. More...
 
bool AllowOccs ()
 Returns the flag that allows traversal of curve occurrences when finding connected curves. More...
 
bool AllowSplines ()
 Returns the flag that allows traversal of splines when finding connected curves. More...
 
std::vector< NXOpen::Curve * > ChainSelectedCurves ()
 Finds all curves attached end-to-end with the current list of selected curves. More...
 
NXOpen::SelectCurveListCurveSelection ()
 Returns the list of selected curves. More...
 
void SetAllowArcs (bool allowArcs)
 Sets the flag that allows traversal of arcs when finding connected curves. More...
 
void SetAllowLines (bool allowLines)
 Sets the flag that allows traversal of lines when finding connected curves. More...
 
void SetAllowOccs (bool allowOccs)
 Sets the flag that allows traversal of curve occurrences when finding connected curves. More...
 
void SetAllowSplines (bool allowSplines)
 Sets the flag that allows traversal of splines when finding connected curves. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Builder for creating automatically creating segments on end-to-end connected curves.


To create a new instance of this class, use NXOpen::Routing::RouteManager::CreateConnectedCurvesBuilder
Default values.

Property Value

AllowArcs

1

AllowLines

1

AllowOccs

1

AllowSplines

1


Created in NX6.0.0.

Member Function Documentation

bool NXOpen::Routing::ConnectedCurvesBuilder::AllowArcs ( )

Returns the flag that allows traversal of arcs when finding connected curves.

If False, the traversal will stop when it hits an arc curve. In addition the curve selection list will not allow arcs to be added to the list.


Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

bool NXOpen::Routing::ConnectedCurvesBuilder::AllowLines ( )

Returns the flag that allows traversal of lines when finding connected curves.

If False, the traversal will stop when it hits a line curve. In addition the curve selection list will not allow lines to be added to the list.


Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

bool NXOpen::Routing::ConnectedCurvesBuilder::AllowOccs ( )

Returns the flag that allows traversal of curve occurrences when finding connected curves.

If False, the traversal will stop when it hits a curve occurrence. In addition the curve selection list will not allow curve occurrences to be added to the list.


Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

bool NXOpen::Routing::ConnectedCurvesBuilder::AllowSplines ( )

Returns the flag that allows traversal of splines when finding connected curves.

If False, the traversal will stop when it hits an spline curve. In addition the curve selection list will not allow splines to be added to the list.


Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

std::vector<NXOpen::Curve *> NXOpen::Routing::ConnectedCurvesBuilder::ChainSelectedCurves ( )

Finds all curves attached end-to-end with the current list of selected curves.

The returned list of curves includes the selected curves.

Returns

Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::SelectCurveList* NXOpen::Routing::ConnectedCurvesBuilder::CurveSelection ( )

Returns the list of selected curves.


Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::Routing::ConnectedCurvesBuilder::SetAllowArcs ( bool  allowArcs)

Sets the flag that allows traversal of arcs when finding connected curves.

If False, the traversal will stop when it hits an arc curve. In addition the curve selection list will not allow arcs to be added to the list.


Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
allowArcsallowarcs
void NXOpen::Routing::ConnectedCurvesBuilder::SetAllowLines ( bool  allowLines)

Sets the flag that allows traversal of lines when finding connected curves.

If False, the traversal will stop when it hits a line curve. In addition the curve selection list will not allow lines to be added to the list.


Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
allowLinesallowlines
void NXOpen::Routing::ConnectedCurvesBuilder::SetAllowOccs ( bool  allowOccs)

Sets the flag that allows traversal of curve occurrences when finding connected curves.

If False, the traversal will stop when it hits a curve occurrence. In addition the curve selection list will not allow curve occurrences to be added to the list.


Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
allowOccsallowoccs
void NXOpen::Routing::ConnectedCurvesBuilder::SetAllowSplines ( bool  allowSplines)

Sets the flag that allows traversal of splines when finding connected curves.

If False, the traversal will stop when it hits an spline curve. In addition the curve selection list will not allow splines to be added to the list.


Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
allowSplinesallowsplines

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.